{$mode objfpc}
unit filedata;
interface

Function fGetByte(filename:string; index:int64): byte;
Procedure fSetByte(filename:string; index:int64; Value:byte);

Property fData[name:string;index:int64]:byte Read fGetByte Write fSetByte;
Property fDataRead[name:string;index:int64]:byte Read fGetByte;
Property fDataWrite[name:string;index:int64]:byte Write fSetByte;

implementation

Function fGetByte(filename:string; index:int64): byte;
 var f:file of byte;
begin
 assign(f,filename);
 try reset(f); except exit(0); end;
 if filesize(f)<=index then begin close(f); exit(0); end;
 seek(f,index); read(f,result);
 close(f);
end;

Procedure fSetByte(filename:string; index:int64; Value:byte);
 var f:file of byte;
begin
 assign(f,filename);
 try reset(f); except try rewrite(f); except exit; end; end;
 seek(f,index); write(f,value);
 close(f);
end;

end.